!set title=Absolute order
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-0.900000
rightrange=0.900000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=r
varcnt=17
prevarcnt=16
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=<i>f</i>
val7=<b>R</b>
val8=any
tmp0=!randint 1, 4

val9=$[rint($(tmp0)*2)]
val10=$[rint($val9+1)]
tmp0=!randint 1, 9

val11=$[rint($(tmp0))]
tmp0=!randitem 1,2

val12=$[rint($(tmp0))]
tmp0=!item $val12 of $val10,$val9

val13=$[rint($(tmp0))]
val14=$[rint($val13-1)]
val15=<sup>$val13</sup>
val16=<sup>2</sup>
val17=|x$val15|-$val11, (|x|)$val15-$val11, |x$val15-$val11|, |(x-$val11)$val15|, (|x-$val11|)$val15,	 |x(x-$val11)$val15|, |x$val15(x-$val11)|, |x$val16(x-$val11)$val15|, |x$val15(x-$val11)$val16|, |x-$val11|(x-$val11)$val15	
tmp0=!itemcnt $val17

tmp1=!randint 1, $(tmp0)

val18=$[rint($(tmp1))]
tmp0=!item $val18 of $val17

val19=$(tmp0)

!ifval $val12=1
tmp0=!item $val18 of $val14,$val14,0,$val14,$val14, 0,0,$val14,$val14,$val13

val20=$(tmp0)
!endif

!ifval $val12=2
tmp0=!item $val18 of $val8,$val8,0,$val8,$val8,   0,0,$val8,$val8,$val13

val20=$(tmp0)
!endif
replyname1=Order of differentiability
replygood1=$val20
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Let $val6: $val7 -> $val7 be the function defined by	$val6(x)&nbsp;=&nbsp;$val19. What is the order of differentiability of $val6&nbsp;?	<p>	<b>Instructions/Examples.</b><ul>	<li>Type <tt>3</tt> if $val6 is differentiable to order 3 but not to order 4.	<li>Type <tt>0</tt> if $val6 is continuous but not differentiable.	<li>Type <tt>-1</tt> if $val6 is not continuous.	<li>Type <tt>$val8</tt> if $val6 is differentiable to any order.	</ul>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,8,19
embedcnt=0
